#ifndef MAIN_WINDOW_H_
#define MAIN_WINDOW_H_

#include <Elementary.h>
#include <stdbool.h>

bool create_main_window(void);
void destroy_main_window(void);
bool create_main_window_source_wgt(const char *theme_extension);
bool create_main_window_sink_entry_wgt(const char *bg_image);
bool create_main_window_hover(const char *theme_extension);

bool test_main_window_source_wgt_hit(int x, int y);
bool test_main_window_sink_wgt_hit(int x, int y);

void paste_main_window_hover_text(void);
void paste_window_sink_wgt_text(void);

#endif /* MAIN_WINDOW_H_ */
